##
##  latex2man.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2018 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         latex2man
Summary:      LaTeX to Unix Manual Page Conversion Tool
URL:          http://www.informatik-vollmer.de/software/latex2man.php
Vendor:       Jürgen Vollmer
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      LPPL
Version:      1.29
Release:      20181126

#   list of sources
Source0:      http://www.informatik-vollmer.de/software/latex2man-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, perl

%description
     Latex2Man is a tool to translate Unix manual pages written with
     LaTeX into a format understood by the Unix man(1)-command.
     Alternatively HTML, TexInfo, or LaTeX code can be produced too.
     Output of parts of the text may be supressed using the conditional
     text feature (for this, LaTeX generation may be used). There is
     LaTeX package (latex2man.sty) used for writing the Man-page and a
     PERL script (latex2man) doing the actual translation.

%track
    prog latex2man = {
        version   = %{version}
        url       = http://www.informatik-vollmer.de/software/latex2man.php
        regex     = latex2man-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n latex2man

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/latex2man
    %{l_shtool} install -c -m 755 \
        -e 's;#!/usr/bin/env perl;#!%{l_prefix}/bin/perl;g' \
        latex2man $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        latex2man.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        latex2man.sty latex2man.cfg $RPM_BUILD_ROOT%{l_prefix}/share/latex2man/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

